> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhetoric.law/llms.txt
> Use this file to discover all available pages before exploring further.

# List filing sessions

Returns a list of filing sessions.

## Request

<ParamField body="filer_id" type="string">
  Only return sessions associated with this filer.
</ParamField>

<ParamField body="limit" type="integer" default="10">
  The number of results to return. The limit must be between 1 and 100.
</ParamField>

<ParamField body="next_token" type="string">
  The token for the next page of results. If omitted, the operation returns the
  first page of results.
</ParamField>

## Response

<ResponseField name="sessions" type="object[]">
  The filing sessions.

  <Expandable title="session" defaultOpen>
    <ResponseField name="id" type="string">
      The session ID.
    </ResponseField>

    <ResponseField name="created_at" type="string">
      The time the session was created, in RFC 3339 format.
    </ResponseField>

    <ResponseField name="filer_id" type="string">
      The ID of the filer operating the session.
    </ResponseField>

    <ResponseField name="status" type="string">
      The status of the session. One of `active`, `submitted`, or `expired`.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="total_count" type="integer">
  The total number of available results.
</ResponseField>

<ResponseField name="next_token" type="string">
  The token for the next page of results. If omitted, there are no more results.
</ResponseField>

## Errors

<ResponseField name="invalid_limit">
  The provided limit is out of bounds.

  <Expandable title="fields">
    <ResponseField name="min" type="integer">
      The minimum limit.
    </ResponseField>

    <ResponseField name="max" type="integer">
      The maximum limit.
    </ResponseField>
  </Expandable>
</ResponseField>

## Example

```shell Request theme={null}
curl -X POST https://api.rhetoric.law/list-filing-sessions \
  --header "Authorization: Bearer $API_KEY" \
  --header "Content-Type: application/json" \
  --data '{ "filer_id": "fil_01j9x1q7ssdtfpb5qmk4qzk8y0", "limit": 10 }'
```

```json Response theme={null}
{
  "result": "ok",
  "sessions": [
    {
      "id": "fsn_01j9x1r2ttbwgqc6rnm5r0m9z2",
      "created_at": "2026-08-13T21:00:00Z",
      "filer_id": "fil_01j9x1q7ssdtfpb5qmk4qzk8y0",
      "status": "active"
    }
  ],
  "total_count": 1,
  "next_token": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.